## GnomeIconTheme GnomeIconTheme — |

## Synopsis

    #include <libgnomeui/libgnomeui.h>

                GnomeIconThemeClass;
    typedef     GnomeIconTheme;
    GnomeIconTheme* gnome_icon_theme_new        (void);
    void        gnome_icon_theme_get_search_path
                                                (GnomeIconTheme *theme,
                                                 char **path[],
                                                 int *n_elements);
    void        gnome_icon_theme_set_search_path
                                                (GnomeIconTheme *theme,
                                                 const char *path[],
                                                 int n_elements);
    gboolean    gnome_icon_theme_get_allow_svg  (GnomeIconTheme *theme);
    void        gnome_icon_theme_set_allow_svg  (GnomeIconTheme *theme,
                                                 gboolean allow_svg);
    char*       gnome_icon_theme_get_example_icon_name
                                                (GnomeIconTheme *theme);
    void        gnome_icon_theme_append_search_path
                                                (GnomeIconTheme *theme,
                                                 const char *path);
    void        gnome_icon_theme_prepend_search_path
                                                (GnomeIconTheme *theme,
                                                 const char *path);
    void        gnome_icon_theme_set_custom_theme
                                                (GnomeIconTheme *theme,
                                                 const char *theme_name);
    char*       gnome_icon_theme_lookup_icon    (GnomeIconTheme *theme,
                                                 const char *icon_name,
                                                 int size,
                                                 const GnomeIconData **icon_data,
                                                 int *base_size);
    gboolean    gnome_icon_theme_has_icon       (GnomeIconTheme *theme,
                                                 const char *icon_name);
    GList*      gnome_icon_theme_list_icons     (GnomeIconTheme *theme,
                                                 const char *context);
    gboolean    gnome_icon_theme_rescan_if_needed
                                                (GnomeIconTheme *theme);
    GnomeIconData* gnome_icon_data_dup          (const GnomeIconData *icon_data);
    void        gnome_icon_data_free            (GnomeIconData *icon_data);

## Description

## Details

### GnomeIconThemeClass

    typedef struct {
      GObjectClass parent_class;

      void (* changed)  (GnomeIconTheme *icon_theme);
    } GnomeIconThemeClass;

### Warning

`GnomeIconThemeClass` is deprecated and should not be used in newly-written code.

### GnomeIconTheme

    typedef GtkIconTheme GnomeIconTheme;

### Warning

`GnomeIconTheme` is deprecated and should not be used in newly-written code.

### gnome_icon_theme_new ()

    GnomeIconTheme* gnome_icon_theme_new        (void);

### Warning

`gnome_icon_theme_new` is deprecated and should not be used in newly-written code.

Returns : |

### gnome_icon_theme_get_search_path ()

    void        gnome_icon_theme_get_search_path
                                                (GnomeIconTheme *theme,
                                                 char **path[],
                                                 int *n_elements);

### Warning

`gnome_icon_theme_get_search_path` is deprecated and should not be used in newly-written code.

`theme` : |
`path` : |
`n_elements` : |

### gnome_icon_theme_set_search_path ()

    void        gnome_icon_theme_set_search_path
                                                (GnomeIconTheme *theme,
                                                 const char *path[],
                                                 int n_elements);

### Warning

`gnome_icon_theme_set_search_path` is deprecated and should not be used in newly-written code.

`theme` : |
`path` : |
`n_elements` : |

### gnome_icon_theme_get_allow_svg ()

    gboolean    gnome_icon_theme_get_allow_svg  (GnomeIconTheme *theme);

### Warning

`gnome_icon_theme_get_allow_svg` is deprecated and should not be used in newly-written code.

`theme` : |
Returns : |

### gnome_icon_theme_set_allow_svg ()

    void        gnome_icon_theme_set_allow_svg  (GnomeIconTheme *theme,
                                                 gboolean allow_svg);

### Warning

`gnome_icon_theme_set_allow_svg` is deprecated and should not be used in newly-written code.

`theme` : |
`allow_svg` : |

### gnome_icon_theme_get_example_icon_name ()

    char*       gnome_icon_theme_get_example_icon_name
                                                (GnomeIconTheme *theme);

### Warning

`gnome_icon_theme_get_example_icon_name` is deprecated and should not be used in newly-written code.

`theme` : |
Returns : |

### gnome_icon_theme_append_search_path ()

    void        gnome_icon_theme_append_search_path
                                                (GnomeIconTheme *theme,
                                                 const char *path);

### Warning

`gnome_icon_theme_append_search_path` is deprecated and should not be used in newly-written code.

`theme` : |
`path` : |

### gnome_icon_theme_prepend_search_path ()

    void        gnome_icon_theme_prepend_search_path
                                                (GnomeIconTheme *theme,
                                                 const char *path);

### Warning

`gnome_icon_theme_prepend_search_path` is deprecated and should not be used in newly-written code.

`theme` : |
`path` : |

### gnome_icon_theme_set_custom_theme ()

    void        gnome_icon_theme_set_custom_theme
                                                (GnomeIconTheme *theme,
                                                 const char *theme_name);

### Warning

`gnome_icon_theme_set_custom_theme` is deprecated and should not be used in newly-written code.

`theme` : |
`theme_name` : |

### gnome_icon_theme_lookup_icon ()

    char*       gnome_icon_theme_lookup_icon    (GnomeIconTheme *theme,
                                                 const char *icon_name,
                                                 int size,
                                                 const GnomeIconData **icon_data,
                                                 int *base_size);

### Warning

`gnome_icon_theme_lookup_icon` is deprecated and should not be used in newly-written code.

`theme` : |
`icon_name` : |
`size` : |
`icon_data` : |
`base_size` : |
Returns : |

### gnome_icon_theme_has_icon ()

    gboolean    gnome_icon_theme_has_icon       (GnomeIconTheme *theme,
                                                 const char *icon_name);

### Warning

`gnome_icon_theme_has_icon` is deprecated and should not be used in newly-written code.

`theme` : |
`icon_name` : |
Returns : |

### gnome_icon_theme_list_icons ()

    GList*      gnome_icon_theme_list_icons     (GnomeIconTheme *theme,
                                                 const char *context);

### Warning

`gnome_icon_theme_list_icons` is deprecated and should not be used in newly-written code.

`theme` : |
`context` : |
Returns : |

### gnome_icon_theme_rescan_if_needed ()

    gboolean    gnome_icon_theme_rescan_if_needed
                                                (GnomeIconTheme *theme);

### Warning

`gnome_icon_theme_rescan_if_needed` is deprecated and should not be used in newly-written code.

`theme` : |
Returns : |

### gnome_icon_data_dup ()

    GnomeIconData* gnome_icon_data_dup          (const GnomeIconData *icon_data);

### Warning

`gnome_icon_data_dup` is deprecated and should not be used in newly-written code.

`icon_data` : |
Returns : |

### gnome_icon_data_free ()

    void        gnome_icon_data_free            (GnomeIconData *icon_data);

### Warning

`gnome_icon_data_free` is deprecated and should not be used in newly-written code.

`icon_data` : |